Subject: bug#37447: 26.3; Commands on <delete> and <backspace>

From: Sebastian Urban <[email-masked]>
Date: Fri, 20 Sep 2019 11:17:29 +0200

> (...) They are highly popular key bindings that I, FWIW, am using
> every day.

Even 'M-<delete>' that does something opposite to 'M-d', when <delete>
and 'C-d' do the same thing?  Doesn't that bother you?  For me it's
inconsistency, but maybe there is a reason for this...

> And btw, I can never understand these arguments about changing what
> Emacs does by default.  You can easily rebind the keys yourself, so
> why force your personal preferences on everyone else?

If I would want to change 'C-a' to 'C-b' (or 'C-S-<backspace>' as
I tried, but not any more) then you are right, but not in this case.

The above example is not a change just because I like it (I don't even
use it), but rather spotting inconsistency and pointing it out.

As for 'C-<backspace>' also "no", because I was trying to reuse
something that is already there ('M-<backspace>').  But fine, someone
may use 'C-...', so I could leave it alone as well.